Im using 1.5NDP and it turns out my package was not upgraded and I have to email them if i want to upgrade my package to the new 4mbps one. did anyone face any problems after the upgrade im asking this as i have seen users facing many issues after updating their package .